//+------------------------------------------------------------------+
//|                                                    checkDiff.mq4 |
//|                                                            calli |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "calli"
#property link      ""

//#property indicator_separate_window
#property indicator_chart_window

#property indicator_buffers 6

#property indicator_color1 Navy
#property indicator_style1 STYLE_SOLID
#property indicator_width1 1

#property indicator_color2 DodgerBlue
#property indicator_style2 STYLE_DASH
#property indicator_width2 1

#property indicator_color3 Aqua
#property indicator_style3 STYLE_DOT
#property indicator_width3 1

#property indicator_color4 DarkGreen
#property indicator_style4 STYLE_SOLID
#property indicator_width4 1

#property indicator_color5 Lime
#property indicator_style5 STYLE_DASH
#property indicator_width5 1

#property indicator_color6 GreenYellow
#property indicator_style6 STYLE_DOT
#property indicator_width6 1

extern int noBars = 100;


double diJaws1[],diJaws2[];
double diTeeth1[],diTeeth2[];
double diLips1[],diLips2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

	IndicatorDigits( Digits );

    SetIndexBuffer(0, diJaws1);
    SetIndexLabel(0, "Diff.Jaws1");

    SetIndexBuffer(1, diTeeth1);
    SetIndexLabel(1, "Diff.Teeth1");

    SetIndexBuffer(2, diLips1);
    SetIndexLabel(2, "Diff.Lips1");

    SetIndexBuffer(3, diJaws2);
    SetIndexLabel(3, "Diff.Jaws2");

    SetIndexBuffer(4, diTeeth2);
    SetIndexLabel(4, "Diff.Teeth2");

    SetIndexBuffer(5, diLips2);
    SetIndexLabel(5, "Diff.Lips2");
    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {

	int jaw_period=13, jaw_shift=8, teeth_period=8, teeth_shift=5, lips_period=5, lips_shift=3, ma_method=MODE_SMMA, applied_price=PRICE_MEDIAN;

   int i,counted_bars=IndicatorCounted();
//----
   if( Bars<=(jaw_period+teeth_period+lips_period)) return(0);
//---- initial zero
//----
   i=MathMin( noBars, Bars-counted_bars );
   while(i>=0) { 
   	i--;
		diJaws1[i]  = iCustom(NULL,0, "Alligator2", 0,i);
		diTeeth1[i] = iCustom(NULL,0, "Alligator2", 1,i);
		diLips1[i]  = iCustom(NULL,0, "Alligator2", 2,i);

		diJaws2[i]  = iCustom(NULL,0, "Alligator",jaw_period, jaw_shift, teeth_period, teeth_shift, lips_period, lips_shift, ma_method, applied_price,   0,i);
		diTeeth2[i] = iCustom(NULL,0, "Alligator",jaw_period, jaw_shift, teeth_period, teeth_shift, lips_period, lips_shift, ma_method, applied_price,   1,i);
		diLips2[i]  = iCustom(NULL,0, "Alligator",jaw_period, jaw_shift, teeth_period, teeth_shift, lips_period, lips_shift, ma_method, applied_price,   2,i);

	}
   
//----
   return(0);
}
//+------------------------------------------------------------------+